ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IStatus Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IStatus:

## Public Member Functions
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic.
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic.
char | GetBoardFirmwareType ()
| Returns type of the electronic.
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic.
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic.
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic.
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic.
string | GetFirmwareSerialNumber ()
| Returns firmware serial number.
string | GetGitHeadSha1 ()
| Returns Git Head SHA1.
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device.
void | ResetErrorFlags ()
| Resets error flag to 0.
EChannel | GetEepromActiveChannel ()
| Returns the active EEPROM channel.
void | SetEepromActiveChannel (EChannel channel)
| Sets the active EEPROM channel.

## Member Function Documentation

## ◆ GetBoardFirmwareBranch()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareBranch | ( |  | ) |

Returns branch ID of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareBuildVersion()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareBuildVersion | ( |  | ) |

Returns firmware build version of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareId()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareId | ( |  | ) |

Returns firmware ID of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareMajorVersion()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareMajorVersion | ( |  | ) |

Returns firmware major version of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareMinorVersion()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareMinorVersion | ( |  | ) |

Returns firmware minor version of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareRevisionVersion()

int ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareRevisionVersion | ( |  | ) |

Returns firmware revision version of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardFirmwareType()

char ICC4cPwmSdk.Device.IStatus.GetBoardFirmwareType | ( |  | ) |

Returns type of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDeviceStatus()

IDeviceErrorState[] ICC4cPwmSdk.Device.IStatus.GetDeviceStatus | ( |  | ) |

Returns states of the device.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetEepromActiveChannel()

EChannel ICC4cPwmSdk.Device.IStatus.GetEepromActiveChannel | ( |  | ) |

Returns the active EEPROM channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetFirmwareSerialNumber()

string ICC4cPwmSdk.Device.IStatus.GetFirmwareSerialNumber | ( |  | ) |

Returns firmware serial number.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetGitHeadSha1()

string ICC4cPwmSdk.Device.IStatus.GetGitHeadSha1 | ( |  | ) |

Returns Git Head SHA1.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ResetErrorFlags()

void ICC4cPwmSdk.Device.IStatus.ResetErrorFlags | ( |  | ) |

Resets error flag to 0.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetEepromActiveChannel()

void ICC4cPwmSdk.Device.IStatus.SetEepromActiveChannel | ( | EChannel | channel | ) |

Sets the active EEPROM channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs